.\"	$NetBSD: rarpd.8,v 1.12 2008/07/21 12:30:33 martin Exp $
.\"
.\" Copyright (c) 1988-1990 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that: (1) source code distributions
.\" retain the above copyright notice and this paragraph in its entirety, (2)
.\" distributions including binary code include the above copyright notice and
.\" this paragraph in its entirety in the documentation or other materials
.\" provided with the distribution.  Neither the name of
.\" the University nor the names of its contributors may be used to endorse
.\" or promote products derived from this software without specific prior
.\" written permission.
.\" THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
.\" WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
.\"
.Dd October 17, 2002
.Dt RARPD 8
.Os
.Sh NAME
.Nm rarpd
.Nd Reverse ARP Daemon
.Sh SYNOPSIS
.Nm
.Op Fl adfl
.Oo
.Ar interface
.Op Ar ...
.Oc
.Sh DESCRIPTION
.Nm
services Reverse ARP requests on the Ethernet connected to
.Ar interface .
Upon receiving a request,
.Nm
maps the target hardware address to an IP address via its name, which
must be present in both the
.Xr ethers 5
and
.Xr hosts 5
databases.
If a host does not exist in both databases the translation cannot
proceed and a reply will not be sent.
.\" .Pp
.\" Additionally, a request is honored only if the server
.\" (the host that rarpd is running on)
.\" can `boot' the target.
.\" .Pp
.\" To be considered able to boot the target the server must have
.\" a file or directory
.\" .Pa /tftpboot/ Ns Em ipaddr
.\" where
.\" .Pa ipaddr
.\" is the target IP address as an eight digit hexadecimal string.
.\" For example, the IP address 203.8.3.18 is represented as
.\" .Sq CB080312 .
.Pp
In normal operation,
.Nm
forks a copy of itself and runs in
the background.  Anomalies and errors are reported via
.Xr syslog 3 .
.Sh OPTIONS
.Bl -tag -width indent
.It Fl a
Listen on all the Ethernets attached to the system.
If
.Sq Fl a
is omitted, an interface must be specified.
.It Fl d
Run in debug mode, with all the output to stderr.
This option implies the
.Fl f
option.
.It Fl f
Run in the foreground.
.It Fl l
Log all requests to syslog.
.El
.Sh FILES
.Bl -tag -width Pa -compact
.It Pa /etc/ethers
.It Pa /etc/hosts
.\" .It Pa /tftpboot
.El
.Sh SEE ALSO
.Xr bpf 4
.Rs
.%R A Reverse Address  Resolution Protocol
.%N RFC 903
.%A Finlayson, R.
.%A Mann, T.
.%A Mogul, J.C.
.%A Theimer, M.
.Re
.Sh AUTHORS
Craig Leres (leres@ee.lbl.gov) and Steven McCanne (mccanne@ee.lbl.gov).
Lawrence Berkeley Laboratory, University of California, Berkeley, CA.
